Debian Bug report logs - #443077
dialog: Doesn't tell for which item the help request is

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Eric Cooper <ecc@cmu.edu>

Date: Tue, 18 Sep 2007 14:27:02 UTC

Severity: normal

Fixed in version dialog/1.1-20071028-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas Dickey <dickey@his.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Peter Palfrader <weasel@debian.org>:
Bug#443077; Package deborphan. Full text and rfc822 format available.

Acknowledgement sent to Eric Cooper <ecc@cmu.edu>:
New Bug report received and forwarded. Copy sent to Peter Palfrader <weasel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eric Cooper <ecc@cmu.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: deborphan: orphaner dies when <Help> is chosen
Date: Tue, 18 Sep 2007 10:24:07 -0400
Package: deborphan
Version: 1.7.23
Severity: normal

If use the <Help> button when a package is highlighted but
none are "checked", orphaner exits its graphical mode, displays
    dpkg-query: --status needs at least one package name argument

    Use --help for help about querying packages;
    Use --license for copyright license and lack of warranty (GNU GPL).
and exits back to the command line.

It works OK if I first type a space in the package's checkbox, then
choose Help (although after returning from Help, the checkbox is now
unchecked).

If more than one package has been checked, Help only gives help on the
first one, and clears its checkbox, while leaving the others checked.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'stable'), (400, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages deborphan depends on:
ii  bash                      3.1dfsg-8      The GNU Bourne Again SHell
ii  dialog                    1.1-20070604-1 Displays user-friendly dialog boxe
ii  gettext-base              0.16.1-2       GNU Internationalization utilities
ii  libc6                     2.6.1-1+b1     GNU C Library: Shared libraries

Versions of packages deborphan recommends:
ii  apt                           0.7.6      Advanced front-end for dpkg

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Peter Palfrader <weasel@debian.org>:
Bug#443077; Package deborphan. Full text and rfc822 format available.

Acknowledgement sent to Jörg Sommer <joerg@alea.gnuu.de>:
Extra info received and forwarded to list. Copy sent to Peter Palfrader <weasel@debian.org>. Full text and rfc822 format available.

Message #10 received at 443077@bugs.debian.org (full text, mbox):

From: Jörg Sommer <joerg@alea.gnuu.de>
To: Eric Cooper <ecc@cmu.edu>
Cc: control@bugs.debian.org, 443077@bugs.debian.org
Subject: Re: deborphan: orphaner dies when <Help> is chosen
Date: Tue, 9 Oct 2007 15:47:14 +0200
[Message part 1 (text/plain, inline)]
reassign 443077 dialog
retitle 443077 dialog: Doesn't tell for which item the help request is
thanks

Hello,

Eric Cooper schrieb am Tue 18. Sep, 10:24 (-0400):
> Package: deborphan
> Version: 1.7.23
> Severity: normal
> 
> If use the <Help> button when a package is highlighted but
> none are "checked", orphaner exits its graphical mode, displays
>     dpkg-query: --status needs at least one package name argument
> 
>     Use --help for help about querying packages;
>     Use --license for copyright license and lack of warranty (GNU GPL).
> and exits back to the command line.

This is due to a change in dialog in version 20070227:

  + remove a redundant chunk from checklist.c which reported status a
    second time if the help-button was pressed but no item-help option
    was in effect (Andre C Barros).

I'm talking with the author to readd this code.

The problem is, that this code told us with was the current item under
the cursor when the help button was pressed. Without this information we
can't call dpkg -s (or now orphaner call it wrong) which leads to the
message seen above.

Bye, Jörg.

That's the code we are talking about:
@@ -650,17 +651,6 @@
                dlg_add_result(listitems[current].help);
            }
            result = DLG_EXIT_ITEM_HELP;
-       } else {
-           if (show_status) {
-               if (separate_output) {
-                   dlg_add_result(listitems[current].name);
-                   dlg_add_result("\n");
-               } else {
-                   dlg_add_quoted(listitems[current].name);
-               }
-           } else {
-               dlg_add_result(listitems[current].name);
-           }
        }
        break;
     }
-- 
Professor: ‚Gott‘, unverständliches und mythisches Wesen, das sich einmal
  pro Woche im Kreis der Sterblichen manifestiert um Weisheit auf Folien
  unter das Volk zu bringen.		(Dschungelbuch 11, FSU Jena)
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package `deborphan' to `dialog'. Request was from Jörg Sommer <joerg@alea.gnuu.de> to control@bugs.debian.org. (Tue, 09 Oct 2007 21:12:06 GMT) Full text and rfc822 format available.

Changed Bug title to `dialog: Doesn't tell for which item the help request is' from `deborphan: orphaner dies when <Help> is chosen'. Request was from Jörg Sommer <joerg@alea.gnuu.de> to control@bugs.debian.org. (Tue, 09 Oct 2007 21:12:07 GMT) Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #17 received at 443077-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@his.com>
Cc: 443077-forwarded@bugs.debian.org, Eric Cooper <ecc@cmu.edu>, joerg@alea.gnuu.de
Subject: Bug#443077: deborphan: orphaner dies when <Help> is chosen (fwd)
Date: Fri, 26 Oct 2007 07:58:25 +0200 (CEST)
Hello.

The following report was reassigned to dialog. Was the old behaviour
documented anywhere? Is it really a bug?

---------- Forwarded message ----------
From: "[UTF-8] Jörg Sommer" <joerg@alea.gnuu.de>
To: Eric Cooper <ecc@cmu.edu>
Cc: control@bugs.debian.org, 443077@bugs.debian.org
Date: Tue, 9 Oct 2007 15:47:14 +0200
Subject: Bug#443077: deborphan: orphaner dies when <Help> is chosen

reassign 443077 dialog
retitle 443077 dialog: Doesn't tell for which item the help request is
thanks

Hello,

Eric Cooper schrieb am Tue 18. Sep, 10:24 (-0400):
> Package: deborphan
> Version: 1.7.23
> Severity: normal
> 
> If use the <Help> button when a package is highlighted but
> none are "checked", orphaner exits its graphical mode, displays
>     dpkg-query: --status needs at least one package name argument
> 
>     Use --help for help about querying packages;
>     Use --license for copyright license and lack of warranty (GNU GPL).
> and exits back to the command line.

This is due to a change in dialog in version 20070227:

  + remove a redundant chunk from checklist.c which reported status a
    second time if the help-button was pressed but no item-help option
    was in effect (Andre C Barros).

I'm talking with the author to readd this code.

The problem is, that this code told us with was the current item under
the cursor when the help button was pressed. Without this information we
can't call dpkg -s (or now orphaner call it wrong) which leads to the
message seen above.

Bye, Jörg.

That's the code we are talking about:
@@ -650,17 +651,6 @@
                dlg_add_result(listitems[current].help);
            }
            result = DLG_EXIT_ITEM_HELP;
-       } else {
-           if (show_status) {
-               if (separate_output) {
-                   dlg_add_result(listitems[current].name);
-                   dlg_add_result("\n");
-               } else {
-                   dlg_add_quoted(listitems[current].name);
-               }
-           } else {
-               dlg_add_result(listitems[current].name);
-           }
        }
        break;
     }
-- 
Professor: ÿÿGottÿÿ, unverständliches und mythisches Wesen, das sich einmal
  pro Woche im Kreis der Sterblichen manifestiert um Weisheit auf Folien
  unter das Volk zu bringen.		(Dschungelbuch 11, FSU Jena)




Message #18 received at 443077-forwarded@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Santiago Vila <sanvila@unex.es>
Cc: 443077-forwarded@bugs.debian.org, Eric Cooper <ecc@cmu.edu>, joerg@alea.gnuu.de
Subject: Re: Bug#443077: deborphan: orphaner dies when <Help> is chosen (fwd)
Date: Fri, 26 Oct 2007 06:20:01 -0400 (EDT)
[Message part 1 (text/plain, inline)]
On Fri, 26 Oct 2007, Santiago Vila wrote:

> Hello.
>
> The following report was reassigned to dialog. Was the old behaviour
> documented anywhere? Is it really a bug?

The old behavior was documented in the changelog (I'd have addressed this 
last week, but had too many other things).

>
> ---------- Forwarded message ----------
> From: "[UTF-8] Jörg Sommer" <joerg@alea.gnuu.de>
> To: Eric Cooper <ecc@cmu.edu>
> Cc: control@bugs.debian.org, 443077@bugs.debian.org
> Date: Tue, 9 Oct 2007 15:47:14 +0200
> Subject: Bug#443077: deborphan: orphaner dies when <Help> is chosen
>
> reassign 443077 dialog
> retitle 443077 dialog: Doesn't tell for which item the help request is
> thanks
>
> Hello,
>
> Eric Cooper schrieb am Tue 18. Sep, 10:24 (-0400):
>> Package: deborphan
>> Version: 1.7.23
>> Severity: normal
>>
>> If use the <Help> button when a package is highlighted but
>> none are "checked", orphaner exits its graphical mode, displays
>>     dpkg-query: --status needs at least one package name argument
>>
>>     Use --help for help about querying packages;
>>     Use --license for copyright license and lack of warranty (GNU GPL).
>> and exits back to the command line.
>
> This is due to a change in dialog in version 20070227:
>
>  + remove a redundant chunk from checklist.c which reported status a
>    second time if the help-button was pressed but no item-help option
>    was in effect (Andre C Barros).
>
> I'm talking with the author to readd this code.
>
> The problem is, that this code told us with was the current item under
> the cursor when the help button was pressed. Without this information we
> can't call dpkg -s (or now orphaner call it wrong) which leads to the
> message seen above.
>
> Bye, Jörg.
>
> That's the code we are talking about:
> @@ -650,17 +651,6 @@
>                dlg_add_result(listitems[current].help);
>            }
>            result = DLG_EXIT_ITEM_HELP;
> -       } else {
> -           if (show_status) {
> -               if (separate_output) {
> -                   dlg_add_result(listitems[current].name);
> -                   dlg_add_result("\n");
> -               } else {
> -                   dlg_add_quoted(listitems[current].name);
> -               }
> -           } else {
> -               dlg_add_result(listitems[current].name);
> -           }
>        }
>        break;
>     }
> -- 
> Professor: ÿÿGottÿÿ, unverständliches und mythisches Wesen, das sich einmal
>  pro Woche im Kreis der Sterblichen manifestiert um Weisheit auf Folien
>  unter das Volk zu bringen.		(Dschungelbuch 11, FSU Jena)
>
>

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#443077; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Jörg Sommer <joerg@alea.gnuu.de>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #23 received at 443077@bugs.debian.org (full text, mbox):

From: Jörg Sommer <joerg@alea.gnuu.de>
To: 443077@bugs.debian.org
Cc: Thomas Dickey <dickey@his.com>, Eric Cooper <ecc@cmu.edu>
Subject: Re: Bug#443077: deborphan: orphaner dies when <Help> is chosen (fwd)
Date: Fri, 26 Oct 2007 16:42:47 +0200
[Message part 1 (text/plain, inline)]
Hello,

Santiago Vila schrieb am Fri 26. Oct, 07:58 (+0200):
> The following report was reassigned to dialog. Was the old behaviour
> documented anywhere? Is it really a bug?

This was the old behavior before the changes of #209031. So, it's the
original behavior.

Bye, Jörg.
-- 
Wer eher stirbt ist länger tot.
    	 	    	       			(Un B. Kant)
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Eric Cooper <ecc@cmu.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 443077-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 443077-close@bugs.debian.org
Subject: Bug#443077: fixed in dialog 1.1-20071028-1
Date: Mon, 12 Nov 2007 05:17:49 +0000
Source: dialog
Source-Version: 1.1-20071028-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.1-20071028-1.diff.gz
  to pool/main/d/dialog/dialog_1.1-20071028-1.diff.gz
dialog_1.1-20071028-1.dsc
  to pool/main/d/dialog/dialog_1.1-20071028-1.dsc
dialog_1.1-20071028-1_powerpc.deb
  to pool/main/d/dialog/dialog_1.1-20071028-1_powerpc.deb
dialog_1.1-20071028.orig.tar.gz
  to pool/main/d/dialog/dialog_1.1-20071028.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 443077@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  5 Nov 2007 19:00:06 +0100
Source: dialog
Binary: dialog
Architecture: source powerpc
Version: 1.1-20071028-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 443077
Changes: 
 dialog (1.1-20071028-1) unstable; urgency=low
 .
   * New upstream release. No longer breaks some scripts. Closes: #443077.
Files: 
 ee156292200ef2f9a7c385a358772295 593 misc optional dialog_1.1-20071028-1.dsc
 73604d3b3a43b5a122709a7a8e4edee2 369837 misc optional dialog_1.1-20071028.orig.tar.gz
 be296a919352aee434f4862fa6000605 8973 misc optional dialog_1.1-20071028-1.diff.gz
 44bf0db0de6f78c96819f0e945ba7ae2 263392 misc optional dialog_1.1-20071028-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHL1qLd9Uuvj7yPNYRAjJcAJwJ1kRY3WDAEmHEAjiLVj6H1B03PgCeOow/
883gv3XHt5xiVyWELjx9YAg=
=EbWi
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Dec 2007 07:36:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:33:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.